# $Revision: 1.8 $, $Date: 2007/03/30 22:45:45 $
# TODO:
# - build GConf and Kconfig backends (?)
#
Summary:	mcs - simple, abstractable configuration library
Summary(pl.UTF-8):	mcs - prosta, abstrakcyjna biblioteka konfiguracji
Name:		mcs
Version:	0.4.1
Release:	1
License:	BSD
Group:		Development/Tools
Source0:	http://sacredspiral.co.uk/~nenolod/mcs/%{name}-%{version}.tgz
# Source0-md5:	d09b42e9d51ea32c6326f0bbcad86c9e
URL:		http://sacredspiral.co.uk/~nenolod/mcs/
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications. It is hoped
that by using mcs, that the applications which use it will generally
have a more congruent feeling in regards to settings. There have been
other projects like this before (such as GConf), but unlike those
projects, mcs strictly handles abstraction. It doesn't impose any
specific data storage requirement, nor is it tied to any desktop
environment or software suite.

%description -l pl.UTF-8
mcs to biblioteka i zbiór narzędzi tworzących abstrakcję
przechowywania ustawień konfiguracyjnych dla aplikacji użytkownika.
Przy użyciu mcs aplikacje mają mieć bardziej zgodne odczucia odnośnie
ustawień. Wcześniej istniały już podobne projekty (jak GConf), ale w
przeciwieństwie do nich mcs ściśle obsługuje abstrakcję. Nie nakłada
żadnych konkretnych wymagań co do przechowywania danych ani nie jest
związana z żadnym środowiskiem graficznym czy pakietem oprogramowania.

%package libs
Summary:	mcs library
Summary(pl.UTF-8):	Biblioteka mcs
Group:		Libraries

%description libs
mcs library.

%description libs -l pl.UTF-8
Biblioteka mcs.

%package devel
Summary:	Header files for mcs
Summary(pl.UTF-8):	Pliki nagłówkowe mcs
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for mcs.

%description devel -l pl.UTF-8
Pliki nagłówkowe mcs.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/%{name}-getconfval
%attr(755,root,root) %{_bindir}/%{name}-info
%attr(755,root,root) %{_bindir}/%{name}-query-backends
%attr(755,root,root) %{_bindir}/%{name}-setconfval

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmcs.so.*.*.*
%ghost %attr(755,root,root) %{_libdir}/libmcs.so.?
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/libkeyfile.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmcs.so
%{_includedir}/libmcs
%{_pkgconfigdir}/libmcs.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mcs.spec,v $
Revision 1.8  2007/03/30 22:45:45  qboosh
- pl desc

Revision 1.7  2007/03/17 11:47:11  glen
- %ghost in first column so it stands out better

Revision 1.6  2007/03/17 10:44:10  megabajt
- oops, kill unused --enable-static

Revision 1.5  2007/03/17 10:43:08  megabajt
- better summary & description
- ghost so.X symlink
- more TODO

Revision 1.4  2007/03/16 22:24:43  sls
- added TODO

Revision 1.3  2007/03/16 22:21:28  sls
- package all lib symlinks

Revision 1.2  2007/03/16 22:19:23  sls
- adapterized

Revision 1.1  2007/03/16 22:16:53  sls
- init; thanks for Kamil Dziedzic <kamil.listy@klecza.pl>
